Public Member Functions | Private Member Functions | List of all members
libebook::FB2DataContextBase Class Reference

Base class for leaf data element contexts. More...

`#include <FB2ParserContext.h>`

Inheritance diagram for libebook::FB2DataContextBase:

## Public Member Functions
| FB2DataContextBase (FB2ParserContext *parentContext)
Public Member Functions inherited from libebook::FB2ParserContext
| FB2ParserContext (FB2ParserContext *parentContext, FB2Collector *collector=0)
| Create a new context with `parentContext` as parent. More...
virtual FB2XMLParserContext * | leaveContext () const
| Destroy this context and return parent. More...
FB2Collector * | getCollector () const
| Get the collector. More...
FB2ParserContext * | getParentContext () const
| Get the parent context. More...
Public Member Functions inherited from libebook::FB2XMLParserContext
virtual | ~FB2XMLParserContext ()=0
virtual void | endOfElement ()=0
| Signalize the end of an element. More...
virtual void | attribute (const FB2TokenData &name, const FB2TokenData *ns, const char *value)=0
| Process an attribute. More...

## Private Member Functions
virtual FB2XMLParserContext * | element (const FB2TokenData &name, const FB2TokenData &ns)
| Create a context for parsing a child element. More...
virtual void | startOfElement ()
| Signalize the start of an element. More...
virtual void | endOfAttributes ()
| Signalize the end of attributes. More...
virtual void | text (const char *value)
| Process textual content of an element. More...

## Detailed Description

Base class for leaf data element contexts.

It provides empty implementations for functions that are typically not needed for processing leaf data elements (i.e., empty elements that only have attributes).

Note
  The parser inserts an artificial endOfElement() call for empty elements.

## Constructor & Destructor Documentation

## § FB2DataContextBase()

libebook::FB2DataContextBase::FB2DataContextBase | ( | FB2ParserContext * | parentContext | ) |
| explicit

## Member Function Documentation

## § element()

FB2XMLParserContext * libebook::FB2DataContextBase::element | ( | const FB2TokenData & | name,
|  | const FB2TokenData & | ns
| ) |  |
| private virtual

Create a context for parsing a child element.

Returns
  A new context or `0` if the child element cannot be handled.

Implements libebook::FB2XMLParserContext.

## § endOfAttributes()

void libebook::FB2DataContextBase::endOfAttributes | ( |  | ) |
| private virtual

Signalize the end of attributes.

Implements libebook::FB2XMLParserContext.

Reimplemented in libebook::FB2InlineImageContext.

## § startOfElement()

void libebook::FB2DataContextBase::startOfElement | ( |  | ) |
| private virtual

Signalize the start of an element.

This can be used if initialization of the context needs virtual function calls.

Implements libebook::FB2XMLParserContext.

Reimplemented in libebook::FB2InlineImageContext.

## § text()

void libebook::FB2DataContextBase::text | ( | const char * | value | ) |
| private virtual

Process textual content of an element.

This function can be called more than once if the element has mixed content.

Implements libebook::FB2XMLParserContext.

The documentation for this class was generated from the following files:

- FB2ParserContext.h
- FB2ParserContext.cpp